Description

Supportanfrage

ich arbeite derzeit noch mit ADTF 3.8.0 an einem Filter, welcher nur DatenPins haben soll. Statische Pins erstelle ich via

CreateInputPin("xy") im Filter-Constructor.

Nun wird im Filtergraphen aber immer ein dazugehöriger TimeTriggerPin (oben am Filter) generiert.

Lässt sich das verhindern (ggf. auch mit Umstieg auf eine neuere ADTF Version)?

Mir ist aufgefallen, dass dieser TimeTriggerPin bei dynamischen DatenPins, welche in der RequestDynamicInputPin-Methode erstellt

werden, nicht im Filtergraphen sichtbar ist. So möchte ich das für die statischen auch gerne haben, damit keine Verwirrungen

aufgrund eines nicht verwendeten Pins entstehen.

Lösung

Seit ADTF 3.10 ist es konfigurierbar, ob die Runnerpins von Data Trigger angezeigt werden (default = ausgeblendet).

Siehe https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_10_0.html

History

#1 - 2020-12-11 09:38 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::FilterGraph

- Customer set to AUDI

- Affected Products ADTF 3.8.0 added

#4 - 2020-12-11 09:48 - hidden

Hi Claudia,

in der 3.10 werden Daten getriggerte Runner per Default nicht mehr am Filter oben angezeigt. Das sollte genau das Verhalten sein, dass du

möchtest.

Grüße,

Martin

#5 - 2020-12-14 08:00 - hidden

Hallo Martin,

ja das klingt gut ☺

Dann werde ich mal alle Beteiligten von einem Umstieg auf 3.10 überzeugen.

Vielen Dank

Claudia

#6 - 2020-12-14 08:10 - hidden
https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_10_0.html


@Claudia: Wenn es nur um die Sichtbarkeit der Pins geht würde ich dir empfehlen noch kurz auf die 3.11 zu warten. Gerne natürlich beides iterativ.

#7 - 2020-12-14 08:45 - hidden

Hallo Florian,

wann kommt die 3.11 denn und was kann die dann besser als die 3.10?

VG

Claudia

#8 - 2020-12-14 11:03 - hidden

Hi Claudia,

wir wollen sie noch 2020 rausbringen, die wichtigsten Features stehen bereits hier:

https://support.digitalwerk.net/adtf/v3/keytopics/adtf_3_11.html

Der CE-Launcher-Connect beinhaltet ein Live Tracing und Live_control/attach vom CE aus, u.a. auch Runlevel Steuerung etc.

Desweiteren wird Qt auf 5.15.2 hochgezogen, das fixt auch ein unschönes layouting bzgl. QtQuick Filter mit dem neuen XSystem aus 3.10.

Der DDL Mapping Filter spricht für sich denke ich.

#9 - 2020-12-17 15:58 - hidden

- Status changed from In Progress to Customer Feedback Required

#10 - 2020-12-21 15:39 - hidden

- Project changed from 11 to Public Support

- Subject changed from DatenPin-Erstellung ohne zugehörigen TimeTriggerPin to Create data triggered input pin without runner pin

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#11 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
